API Endpoint Reference / Partner production
Poll a partner preparation request
Deprecated. Use Poll a Slice job (GET /v1/slice-jobs/{sliceJobId}) instead. This operation keeps working, and no removal date is set.
GET https://api.printhiv3d.com/v1/partner-production/preparations/{preparationId}
Operation ID getPartnerPreparation. Requires the production:read API key scope.
Parameters
| Name | In | Type | Required | Description |
|---|
preparationId | path | uuid | Yes | |
Responses
| Status | Description |
|---|
200 | Default Response |
401 | Default Response |
403 | Default Response |
404 | Default Response |
503 | Default Response |
200 response fields
| Field | Type | Required | Description |
|---|
preparationId | uuid | Yes | |
sliceJobId | uuid | Yes | |
status | "waiting_for_source" | "preparing" | "held" | "ready" | "failed" | Yes | |
createdAt | date-time | Yes | |
holds | object[] | Yes | |
items | object[] | Yes | |
401 response fields
| Field | Type | Required | Description |
|---|
error | string | No | |
message | string | No | |
requestId | string | No | |
403 response fields
| Field | Type | Required | Description |
|---|
error | string | No | |
message | string | No | |
requestId | string | No | |
404 response fields
| Field | Type | Required | Description |
|---|
error | "invalid_request" | "unauthorized" | "not_found" | "idempotency_conflict" | "output_not_ready" | "output_unavailable" | "request_too_large" | "source_not_found" | "target_not_found" | "target_not_qualified" | "material_not_qualified" | "preparation_disabled" | "preparation_unavailable" | Yes | |
item | integer | No | |
limit | object | No | |
reasons | object[] | No | Present on target_not_qualified: one entry for each refused item. |
503 response fields
| Field | Type | Required | Description |
|---|
error | "invalid_request" | "unauthorized" | "not_found" | "idempotency_conflict" | "output_not_ready" | "output_unavailable" | "request_too_large" | "source_not_found" | "target_not_found" | "target_not_qualified" | "material_not_qualified" | "preparation_disabled" | "preparation_unavailable" | Yes | |
item | integer | No | |
limit | object | No | |
reasons | object[] | No | Present on target_not_qualified: one entry for each refused item. |
Example 200 response
{
"preparationId": "d8c5b2e9-4a7f-4e16-a3d0-9f2b6c1e8a47",
"sliceJobId": "d8c5b2e9-4a7f-4e16-a3d0-9f2b6c1e8a47",
"status": "ready",
"createdAt": "2026-11-04T18:00:00.000Z",
"holds": [],
"items": [
{
"index": 0,
"status": "ready",
"source": {
"sourceVersionId": "5f8a2c6e-9d1b-4e73-b4a0-2c7e9f1d6b85",
"externalId": "storefront-product-1042",
"status": "ready"
},
"plates": [
1
],
"resolvedPlates": [
1
],
"quantity": 1,
"materialMappings": [],
"guidance": {
"allowedMaterials": [],
"preferredFilaments": []
},
"target": {
"printerId": "7d3f1c2a-5b8e-4f6a-9c1d-2e4b6a8c0f13",
"printerName": "Bay 3",
"printerModel": "P1S",
"nozzleDiameterMm": 0.4,
"nozzleFlow": "standard",
"buildSurface": "Textured PEI Plate"
},
"failure": null,
"preparedPlates": []
}
]
}